package com.jkcredit.invoice.service.lowerservice.vo;

/**
 * 交易查询对象
 * @author mumuxigua
 */
public class TradeRequestVo {
    private String startTime;
    private String endTime;
    private String companyName;
    private String customerName;
    private String etcId;
    /**
     * 0 接口 1平台
     */
    private Integer interType = 1;
    /**
      待开票	1
      开票中	2
      已开票	3
    */
    private Integer tradeStatus;


    public Integer getInterType() {
        return interType;
    }

    public void setInterType(Integer interType) {
        this.interType = interType;
    }

    public String getStartTime() {
        return startTime;
    }

    public void setStartTime(String startTime) {
        this.startTime = startTime;
    }

    public String getEndTime() {
        return endTime;
    }

    public void setEndTime(String endTime) {
        this.endTime = endTime;
    }

    public String getCompanyName() {
        return companyName;
    }

    public void setCompanyName(String companyName) {
        this.companyName = companyName;
    }

    public String getCustomerName() {
        return customerName;
    }

    public void setCustomerName(String customerName) {
        this.customerName = customerName;
    }

    public String getEtcId() {
        return etcId;
    }

    public void setEtcId(String etcId) {
        this.etcId = etcId;
    }

    public Integer getTradeStatus() {
        return tradeStatus;
    }

    public void setTradeStatus(Integer tradeStatus) {
        this.tradeStatus = tradeStatus;
    }

    @Override
    public String toString() {
        return "TradeRequestVo{" +
                "startTime='" + startTime + '\'' +
                ", endTime='" + endTime + '\'' +
                ", companyName='" + companyName + '\'' +
                ", customerName='" + customerName + '\'' +
                ", etcId='" + etcId + '\'' +
                ", tradeStatus=" + tradeStatus +
                '}';
    }
}
